Create an etcd snapshot
POST /api/v1/cluster/instances/kubernetes/snapshots//create. Kubernetes API reference.
Create an etcd snapshot
Authentication · API availability · Download OpenAPI
Snapshot operation initiated successfullyBad Request. Invalid cluster ID or request body.Unauthorized. Authentication credentials are missing or invalid.Forbidden. User does not have permission to create snapshots.Internal Server Error.An unexpected error response.
Authorizations
Bearer token for the ZedCloud gateway user session
Headers
User-Agent specified id to track a request
Path Parameters
Body
application/json
Response
Snapshot operation initiated successfully
Response for async snapshot operations (create, restore, delete)
Unique identifier for the async operation
Type of the operation
Available options:
SNAPSHOT_OPERATION_TYPE_UNSPECIFIED, SNAPSHOT_OPERATION_TYPE_CREATE, SNAPSHOT_OPERATION_TYPE_RESTORE, SNAPSHOT_OPERATION_TYPE_DELETE Current status of the operation
Available options:
SNAPSHOT_OPERATION_STATUS_UNSPECIFIED, SNAPSHOT_OPERATION_STATUS_IN_PROGRESS, SNAPSHOT_OPERATION_STATUS_COMPLETED, SNAPSHOT_OPERATION_STATUS_FAILED, SNAPSHOT_OPERATION_STATUS_TIMED_OUT Current phase of the operation
Cluster ID associated with the operation
Snapshot id generated for the operation
Snapshot Name
Status message
When the operation was created
When the operation was last updated